AIXBT Docs

Momentum History

Returns hourly momentum history with cluster breakdown. Includes tweet counts by cluster and score history for a project over a specified time period. Default period is the last 7 days.

GET
/v2/projects/{id}/momentum

Path Parameters

id*string

The project ID

Query Parameters

start?string

Start timestamp (ISO 8601 format). Defaults to 7 days ago.

Formatdate-time
end?string

End timestamp (ISO 8601 format). Defaults to now.

Formatdate-time
includeClusters?string

Whether to include per-hour cluster breakdown. Set to "false" to return only momentum scores (faster, smaller response).

Default"true"
Value in"true" | "false"

Response Body

application/json

curl -X GET "https://api.aixbt.tech/v2/projects/string/momentum?start=2025-11-21T00%3A00%3A00.000Z&end=2025-11-28T00%3A00%3A00.000Z"
{
  "status": 200,
  "meta": {
    "tier": "free",
    "dataDelayHours": 12,
    "dataAsOf": "2019-08-24T14:15:22Z",
    "upgrade": {
      "description": "string",
      "protocol": "x402",
      "payment": "USDC on Base",
      "options": [
        {
          "period": "1 day",
          "price": "$0.1",
          "method": "POST",
          "url": "https://api.aixbt.tech/x402/v2/api-keys/1d"
        }
      ]
    }
  },
  "error": "",
  "data": {
    "projectId": "507f1f77bcf86cd799439011",
    "projectName": "ethereum",
    "data": [
      {
        "timestamp": "2025-11-30T12:00:00.000Z",
        "momentumScore": 0.43,
        "clusters": [
          {
            "id": "67ffa0cdd37b7e33fb723561",
            "name": "ethereum",
            "count": 3
          }
        ]
      }
    ]
  }
}
Empty
Empty
Empty